Bug 33112 - ``not signed with GPG signature'' dialog needs a ``Yes to all'' button
``not signed with GPG signature'' dialog needs a ``Yes to all'' button
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
: FutureFeature
: 32104 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-03-25 02:58 EST by kev
Modified: 2015-01-07 18:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-21 15:21:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description kev 2001-03-25 02:58:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.0 i686; en-US; 0.8) Gecko/20010215

Apparently, many of the wolverine updates do not have GPG signatures
associated with the packages.  This doesn't really bother me, but being
prompted "The package foo is not signed with a GPG signature. Continue?"
for *every* package foo is most annoying and makes it impossible to let
up2date retrieve packages unattended.

IMO, it would be most useful if an additional "Yes to all" button were
added to this dialog.

Reproducible: Always
Steps to Reproduce:
1.Start up2date on a wolverine system which has not been upgraded to
2.Select the XFree86 packages to be updated.
3.Start the update.  Observe the message which asks if it is okay to
continue without a GPG signature.
4. Note that the yes button needs to be pressed for each such message,
making it impossible to let up2date download the packages unattended.

Here's an additional annoyance associated with this bug... If you are using
the keyboard to attempt to get other work done while up2date is retrieving
the packages and the "...is not signed with a GPG signature" message pops
up while you are typing, pressing a space will trigger the selected button
in this dialog (which is "No") and the update will be terminated.
Comment 1 kev 2001-03-25 03:49:59 EST
I just noticed that ``up2date --configure'' allows me to disable GPG checking
altogether.  I still think it'd be nice to have a means to disable it "on the
fly" for only a single session.
Comment 2 Preston Brown 2001-04-04 15:03:18 EDT
*** Bug 32104 has been marked as a duplicate of this bug. ***
Comment 3 Todd Warner 2001-04-04 16:42:09 EDT
Problem though:

If you want to say yes to some and no to others.... program exists. There needs
to be a "Skip" just tbis package option.
Comment 4 Aleksey Nogin 2001-08-21 12:38:18 EDT
"Skip" is nice, but I guess it would be much harder to implement properly (what
if the package you've skipped breaks some dependency?).

"Yes to all", OTOH should be very easy to implement. Are you sure this is
"priority: low"? IMHO this problem is pretty annoying.
Comment 5 Jay Turner 2001-08-21 15:21:28 EDT
From the commandline, you can pass '--nosig' which will allow you to retrieve
packages without checking the GPG signature, even if the config is set to check
Comment 6 Adrian Likins 2002-03-26 17:55:56 EST
This isnt too much of an issue these days, and
I'm somewhat opposed to a "yes to all" in the gui for this anyway,
so closing this bug.

Note You need to log in before you can comment on or make changes to this bug.